Solved I keep getting the error The POM for org.spigotmc:spigot:jar:1.16.5-R0.1-SNAPSHOT is missing

Discussion in 'Spigot Plugin Development' started by Megamanoioi, Jun 11, 2021.

  1. I keep getting the error The POM for org.spigotmc:spigot:jar:1.16.5-R0.1-SNAPSHOT is missing, no dependency information available, and I am trying to compile a plugin, but it keeps giving that error, this is all the files and things: https://github.com/WispRecreationProject/WispBlockMultiply I did not make this by the way
     
  2. SteelPhoenix

    Moderator

    You have to run BuildTools for those artifacts to get installed in your local maven repository
     
  3. What do you mean? I do not get it, I am bad at these things.
     
    • Funny Funny x 1
  4. Download BuildTools, place it in an empty folder, double-click it, let it finish. Reload your Maven dependencies and then poof, it should work.
     
  5. What exactly don‘t you understand in the term „run BuildTools“?
     
  6. I got it now he explained it to me.
     
  7. It still does not work, I ran build tools in a different folder on my desktop, it made a bunch of files but the when I try to build it, it gives the same error with also this error too:
    Could not find artifact org.spigotmc:spigot:pom:1.16.5-R0.1-SNAPSHOT in spigotmc-repo (https://hub.spigotmc.org/nexus/content/repositories/snapshots/)
     
  8. Did BuildTools run successfully? Also did you build 1.16.5? Please look whether you have the spigot 1.16.5 .jar file in your ~/.m2/org/spigotmc folder
     
    • Agree Agree x 1
  9. Ok I got it now, it works fine thanks for the help, and also how do I close it?
     
  10. Maybe you might wanna explain what the problem was in case someone else has the same problem^^
     
  11. Well I just installed the buildtools, ran it in a folder and then it just worked!
     
    • Like Like x 1
  12. Yeah that's what BuildTools is for :D You can edit your original post and select "Solved" as prefix if you got everything working now :)